/*******************************************************************/
/// <reference types="angular" />
import { Service as ContextsService, BasePayload } from "base-contexts";
/*******************************************************************/
export interface NavItem {
    href: string;
    icon: string;
    caption: string;
}
export { BasePayload };
/*******************************************************************/
export declare abstract class Service<Payload extends BasePayload> {
    protected readonly $timeout: ng.ITimeoutService;
    protected readonly ContextsService: ContextsService<Payload>;
    /***************************************************/
    internal: NavItem[];
    external: NavItem[];
    payload: Payload;
    componentName: string;
    /***************************************************/
    constructor($timeout: ng.ITimeoutService, ContextsService: ContextsService<Payload>);
    /***************************************************/
    protected nameComponent(): void;
}
/*******************************************************************/ 
