/*******************************************************************/
/// <reference types="angular" />
/// <reference types="angular-material" />
import { Service, NavItem, BasePayload } from "./service";
/*******************************************************************/
export declare abstract class Controller<Payload extends BasePayload> {
    protected readonly $location: ng.ILocationService;
    $mdSidenav: ng.material.ISidenavService;
    protected readonly SideNavService: Service<Payload>;
    /***************************************************/
    internal: NavItem[];
    external: NavItem[];
    payload: Payload;
    componentName: string;
    /***************************************************/
    constructor($location: ng.ILocationService, $mdSidenav: ng.material.ISidenavService, SideNavService: Service<Payload>);
    /***************************************************/
    navigate(destination: string): void;
}
/*******************************************************************/
