"use strict";
/*******************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
/*******************************************************************/
var Controller = /** @class */ (function () {
    /***************************************************/
    function Controller($location, $mdSidenav, SideNavService) {
        this.$location = $location;
        this.$mdSidenav = $mdSidenav;
        this.SideNavService = SideNavService;
        this.internal = this.SideNavService.internal;
        this.external = this.SideNavService.external;
        this.payload = this.SideNavService.payload;
        this.componentName = this.SideNavService.componentName;
    }
    /***************************************************/
    Controller.prototype.navigate = function (destination) {
        this.$location.path(destination);
        this.$mdSidenav(this.SideNavService.componentName).close();
    };
    return Controller;
}());
exports.Controller = Controller;
/*******************************************************************/
